<?php
//This is the proxy service for the tinysong api
//It requires the curl module to be installed for PHP to call the webservice

//nothing was passed in, so exit
if (!isset($_GET['s']))
{
	print 'No Search String Provided';
	exit();
}


//call the tinysong api
$musicdata =  getUrl("http://tinysong.com/s/" . urlencode($_GET['s']) . "&limit=5");

//if no results, return emty json object
if ($musicdata == 'NSF;' || !$musicdata)
{
	print '[]';
	exit();
}

//we have results so now we have to parse them
$musicdata = explode("\n",$musicdata);
$musicDataArray = array();
foreach ($musicdata as $item) {
	if ($item)
	{
	    $elements = array();
		$elements = explode(";",$item);

	    $datarow = array();
	    $datarow['link'] = $elements[0];
		$datarow['songId'] = $elements['1'];
		$datarow['songName'] = $elements[2];
		$datarow['artistId'] = $elements[3];
		$datarow['artistName'] = $elements[4];
		$datarow['albumID'] = $elements[5];
		$datarow['albumName'] = $elements[6];
		$datarow['groovesharkLink'] = $elements[7];
	  	$musicDataArray[] = $datarow;
	}
}

//convert the array to json and output it
require_once './lib/json/JSON.php';
$json = new Services_JSON();
$j = $json->encode($musicDataArray);
print($j);


function getUrl($url)
{
	//requires the curl module to be configured on your server
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $output = curl_exec($ch);
    curl_close($ch);   
    
    return $output;
}

?>
